Package org.acplt.oncrpc.web

# Interface HttpTunnelConstants

public interface HttpTunnelConstants
A collection of constants generally useful when working with HTTP tunnels for the ONC/RPC protocol.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:45 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BYTES_PER_LINE`
Amount of octets (binary data) which can be encoded in a single plain ASCII line.
`static final int`
`ENCODED_BYTES_PER_LINE`
Amount of plain ASCII characters per line for representing the encoded octets.
`static final int`
`ENCODED_BYTES_PER_LINE_CRLF`
Amount of plain ASCII characters per line for representing the encoded octets.
`static final int`
`LINES_PER_BLOCK`
Amount of lines that should be processed at once using a buffer.
`static final String`
`TUNNEL_PROTO_ID`
Protocol identifier of ONC/RPC HTTP tunnel.

## Field Details

### BYTES_PER_LINE

static final int BYTES_PER_LINE
Amount of octets (binary data) which can be encoded in a single plain ASCII line. This amount must always be a multiple of three. This is demanded by the base64 encoding scheme, which encodes every three octets using four plain ASCII characters.

See Also:
  - Constant Field Values

### ENCODED_BYTES_PER_LINE

static final int ENCODED_BYTES_PER_LINE
Amount of plain ASCII characters per line for representing the encoded octets. This amount is derived from the `BYTES_PER_LINE` setting.

See Also:
  - Constant Field Values

### ENCODED_BYTES_PER_LINE_CRLF

static final int ENCODED_BYTES_PER_LINE_CRLF
Amount of plain ASCII characters per line for representing the encoded octets. This amount is derived from the `BYTES_PER_LINE` setting and also accounts for the line termination (CRLF).

See Also:
  - Constant Field Values

### LINES_PER_BLOCK

static final int LINES_PER_BLOCK
Amount of lines that should be processed at once using a buffer.

See Also:
  - Constant Field Values

### TUNNEL_PROTO_ID

static final String TUNNEL_PROTO_ID
Protocol identifier of ONC/RPC HTTP tunnel.

See Also:
  - Constant Field Values